/* -*- C -*- */
/*
 * Assembler for DOCSIS cable modem configuration files
 *
 * $Id: docas.h,v 1.1 2000/07/27 16:17:59 petras Exp $
 * 
 * Copyright (C) 2000  Dietmar Petras  <Dietmar.Petras@ELSA.de>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * History:
 * $Log: docas.h,v $
 * Revision 1.1  2000/07/27 16:17:59  petras
 * * Based on Revision 1.2 of Assembler.h
 * * Bug fix with reallocation of OutputBuffer
 *
 * Revision 1.2  2000/07/10 14:29:28  petras
 * Renamed to docas.h to allow compilation on DOS with limited file names :-(
 *
 * Revision 1.1  2000/03/01 23:19:37  petras
 * Initial revision.
 *
*/

#ifndef  _ASSEMBLER_H
#define  _ASSEMBLER_H

#define byte unsigned char

typedef enum { eCMTS_MIC_DownFreq,
	       eCMTS_MIC_UpChanId,
	       eCMTS_MIC_NetworkAccess,
	       eCMTS_MIC_COS,
	       eCMTS_MIC_BPI,
	       eCMTS_MIC_VendorSpecificInfo,
	       eCMTS_MIC_CM_MIC,
	       eCMTS_MIC_MaxNumCpe,
	       eCMTS_MIC_NIL
} eCMTS_MIC_DataType;

extern void ReportCMTS_MIC_Data(eCMTS_MIC_DataType type, int start, int length);

extern void WriteByte(byte b);
extern void StartGroup(byte type);
extern void EndGroup(eCMTS_MIC_DataType type);

extern void WriteNumber(unsigned long n, int len);
extern void WriteString(const char *s, int len);

extern int NextWritePosition();
extern void WriteByteAtPosition(int pos, byte b);


#endif /* _ASSEMBLER_H */

/* {{{ Local variables */

/*
  Local variables:
  folded-file: t
  c-basic-offset: 2
  End:
*/

/* }}} */
